Home

# Class goog.ds.DataNode

Interface for node in rich data tree. Names that are reserved for system use and shouldn't be used for data node names: eval, toSource, toString, unwatch, valueOf, watch. Behavior is undefined if these names are used.

Instance Method Summary
| `get() ⇒ ?Object` Get the value of the node
| `getChildNode(string name, boolean= opt_canCreate) ⇒ ?goog.ds.DataNode` Gets a named child node of the current node
| `getChildNodeValue(string name) ⇒ ?Object` Gets the value of a child node
| `getChildNodes(string= opt_selector) ⇒ ?goog.ds.DataNodeList` Gets all of the child nodes of the current node. Should return an empty DataNode list if no child nodes.
| `getDataName() ⇒ string` Get the name of the node relative to the parent node
| `getDataPath() ⇒ string` Gets the a qualified data path to this node
| `isList() ⇒ boolean` Whether the value of this node is a homogeneous list of data
| `load()` Load or reload the backing data for this node
| `set(?Object value)` Set the value of the node
| `setChildNode(string name, ?Object value) ⇒ ?Object` Sets a named child node of the current node.
| `setDataName(string name)` Set the name of the node relative to the parent node